List Clusters (V2)
List all clusters scoped to API Key.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
The number of records to include in each response.
The current page number.
The ID of the cloud region. If specified, only clusters in that region are returned.
The ID of the project. If specified, only clusters in that project are returned.
The ID of the cloud region. If specified, only clusters in that region are returned.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/clusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Return a list of clusters in detail.
A response payload variant returned when listing Clusters.
Response code.
Response payload.
Total number of clusters.
Current page number.
Number of entries per page.
Clusters in the current page.
Details of a cluster.
ID of the cluster.
Name of the cluster.
Description of the cluster.
ID of the region where the cluster is deployed.
CU type of the cluster.
Plan of the cluster.
Number of CUs allocated to the cluster.
Status of the cluster.
Endpoint used to connect to the cluster.
Private link endpoint of the cluster.
Time when the cluster was created.
ID of the project the cluster belongs to.
Deployment option of the cluster.
Metadata of the global cluster the cluster belongs to. Omitted when the cluster is not part of a global cluster.
ID of the global cluster.
Role of the cluster in the global cluster.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"clusters": [
{
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "dedicated-3",
"description": "",
"regionId": "aws-us-west-2",
"plan": "Enterprise",
"cuType": "Performance-optimized",
"cuSize": 1,
"status": "RUNNING",
"connectAddress": "https://inxx-xxxxxxxxxxxxxxx.aws-us-west-2.vectordb.zillizcloud.com:19530",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:49:50Z",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"deploymentOption": "Dedicated"
}
]
}
}
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"clusters": [
{
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "dedicated-3",
"description": "",
"regionId": "aws-us-west-2",
"plan": "Enterprise",
"cuType": "Performance-optimized",
"cuSize": 1,
"status": "RUNNING",
"connectAddress": "https://inxx-xxxxxxxxxxxxxxx.aws-us-west-2.vectordb.zillizcloud.com:19530",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:49:50Z",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"deploymentOption": "Dedicated",
"globalClusterMeta": {
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"role": "PRIMARY"
}
}
]
}
}